MDrawGlyphInfo Struct Reference
GUI API » Drawing

Type of information about a glyph. More...

Collaboration diagram for MDrawGlyphInfo:
[legend]

## Data Fields

int | from
int | to
int | line_from
int | line_to
int | x
int | y
MDrawMetric | metrics
MFont * | font
int | prev_from
int | next_to
int | left_from
int | left_to
int | right_from
int | right_to
int | logical_width

## Detailed Description

Type of information about a glyph.

The type MDrawGlyphInfo is the structure that contains information about a glyph. It is used by mdraw_glyph_info().

## Field Documentation

## from

int MDrawGlyphInfo::from

Start position of character range corresponding to the glyph.

## to

int MDrawGlyphInfo::to

End position of character range corresponding to the glyph.

## line_from

int MDrawGlyphInfo::line_from

Start position of character range corresponding to the line of the glyph.

## line_to

int MDrawGlyphInfo::line_to

End position of character range corresponding to the line of the glyph.

## x

int MDrawGlyphInfo::x

X coordinates of the glyph.

## y

int MDrawGlyphInfo::y

Y coordinates of the glyph.

## metrics

MDrawMetric MDrawGlyphInfo::metrics

Metric of the glyph.

## font

MFont* MDrawGlyphInfo::font

Font used for the glyph. Set to NULL if no font is found for the glyph.

## prev_from

int MDrawGlyphInfo::prev_from

Character ranges corresponding to logically previous glyphs. Note that we do not need the members prev_to because it must be the same as the member <from>.

## next_to

int MDrawGlyphInfo::next_to

Character ranges corresponding to logically next glyphs. Note that we do not need the members next_from because it must be the same as the member <to> respectively.

## left_from

int MDrawGlyphInfo::left_from

Start position of character ranges corresponding to visually left glyphs.

## left_to

int MDrawGlyphInfo::left_to

End position of character ranges corresponding to visually left glyphs.

## right_from

int MDrawGlyphInfo::right_from

Start position of character ranges corresponding to visually right glyphs.

## right_to

int MDrawGlyphInfo::right_to

End position of character ranges corresponding to visually left glyphs.

## logical_width

int MDrawGlyphInfo::logical_width

Logical width of the glyph. Nominal distance to the next glyph.